### Method

# Adw PreferencesPageset_icon_name

#### Declaration [src]

    void
    adw_preferences_page_set_icon_name (
      AdwPreferencesPage* self,
      const char* icon_name
    )

#### Description [src]

Sets the icon name for `self`.

Sets property | `Adw.PreferencesPage:icon-name`

#### Parameters

`icon_name`

  Type: `const char*`

  The icon name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.